> ## Documentation Index
> Fetch the complete documentation index at: https://docs.useinvent.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Refresh WhatsApp templates

> Bust the cache and refetch templates from Meta.



## OpenAPI

````yaml https://api.useinvent.com/openapi.json post /orgs/{org_id}/connections/{connection_id}/whatsapp/templates/refresh
openapi: 3.1.0
info:
  version: 1.0.0
  title: Invent API
servers:
  - url: https://api.useinvent.com
security:
  - bearerAuth: []
paths:
  /orgs/{org_id}/connections/{connection_id}/whatsapp/templates/refresh:
    post:
      tags:
        - Orgs Connections
      summary: Refresh WhatsApp templates
      description: Bust the cache and refetch templates from Meta.
      parameters:
        - schema:
            type: string
          required: true
          description: The ID of the org
          name: org_id
          in: path
        - schema:
            type: string
          required: true
          description: The ID of the connection
          name: connection_id
          in: path
        - schema:
            type: string
          required: false
          name: waba_id
          in: query
        - schema:
            type: string
          required: false
          name: phone_number_id
          in: query
        - schema:
            $ref: '#/components/schemas/WhatsAppTemplateStatusSchema'
          required: false
          name: status
          in: query
        - schema:
            type: string
          required: false
          name: search
          in: query
        - schema:
            type: number
          required: false
          description: Page number
          name: page
          in: query
        - schema:
            type: number
          required: false
          description: Number of items to take
          name: take
          in: query
        - schema:
            type: string
          required: false
          description: Next page token (Only used on special endpoints)
          name: next
          in: query
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/WhatsAppTemplateSchema'
components:
  schemas:
    WhatsAppTemplateStatusSchema:
      type: string
      enum:
        - APPROVED
        - IN_APPEAL
        - PENDING
        - REJECTED
        - PENDING_DELETION
        - DELETED
        - DISABLED
        - PAUSED
        - LIMIT_EXCEEDED
    WhatsAppTemplateSchema:
      type: object
      properties:
        id:
          type: string
        waba_id:
          type: string
        name:
          type: string
        language:
          type: string
        status:
          $ref: '#/components/schemas/WhatsAppTemplateStatusSchema'
        category:
          $ref: '#/components/schemas/WhatsAppTemplateCategorySchema'
        components:
          type: array
          items:
            $ref: '#/components/schemas/WhatsAppTemplateComponentSchema'
        quality_score:
          $ref: '#/components/schemas/WhatsAppTemplateQualityScoreSchema'
      required:
        - id
        - waba_id
        - name
        - language
        - status
        - category
        - components
    WhatsAppTemplateCategorySchema:
      type: string
      enum:
        - AUTHENTICATION
        - MARKETING
        - UTILITY
    WhatsAppTemplateComponentSchema:
      type: object
      properties:
        type:
          type: string
        format:
          type: string
        text:
          type: string
        buttons:
          type: array
          items:
            $ref: '#/components/schemas/WhatsAppTemplateButtonSchema'
        example:
          $ref: '#/components/schemas/WhatsAppTemplateComponentExampleSchema'
        cards:
          type: array
          items:
            $ref: '#/components/schemas/WhatsAppTemplateCardSchema'
        add_security_recommendation:
          type: boolean
        code_expiration_minutes:
          type: number
        limited_time_offer:
          $ref: '#/components/schemas/WhatsAppTemplateLimitedTimeOfferSchema'
      required:
        - type
    WhatsAppTemplateQualityScoreSchema:
      type: object
      properties:
        score:
          type: string
        date:
          type: number
      required:
        - score
    WhatsAppTemplateButtonSchema:
      type: object
      properties:
        type:
          type: string
        text:
          type: string
        url:
          type: string
        phone_number:
          type: string
        example:
          type: array
          items:
            type: string
        otp_type:
          type: string
        autofill_text:
          type: string
        zero_tap_terms_accepted:
          type: boolean
        supported_apps:
          type: array
          items:
            $ref: '#/components/schemas/WhatsAppTemplateSupportedAppSchema'
        flow_id:
          type: string
        flow_name:
          type: string
        flow_action:
          type: string
        navigate_screen:
          type: string
      required:
        - type
    WhatsAppTemplateComponentExampleSchema:
      type: object
      properties:
        header_text:
          type: array
          items:
            type: string
        body_text:
          type: array
          items:
            type: array
            items:
              type: string
        header_handle:
          type: array
          items:
            type: string
        header_url:
          type: array
          items:
            type: string
        header_text_named_params:
          type: array
          items:
            $ref: '#/components/schemas/WhatsAppTemplateNamedParamSchema'
        body_text_named_params:
          type: array
          items:
            $ref: '#/components/schemas/WhatsAppTemplateNamedParamSchema'
    WhatsAppTemplateCardSchema:
      type: object
      properties:
        components:
          type: array
          items:
            $ref: '#/components/schemas/WhatsAppTemplateCardComponentSchema'
      required:
        - components
    WhatsAppTemplateLimitedTimeOfferSchema:
      type: object
      properties:
        text:
          type: string
        has_expiration:
          type: boolean
      required:
        - text
    WhatsAppTemplateSupportedAppSchema:
      type: object
      properties:
        package_name:
          type: string
        signature_hash:
          type: string
      required:
        - package_name
        - signature_hash
    WhatsAppTemplateNamedParamSchema:
      type: object
      properties:
        param_name:
          type: string
        example:
          type: string
      required:
        - param_name
        - example
    WhatsAppTemplateCardComponentSchema:
      type: object
      properties:
        type:
          type: string
        format:
          type: string
        text:
          type: string
        buttons:
          type: array
          items:
            $ref: '#/components/schemas/WhatsAppTemplateButtonSchema'
        example:
          $ref: '#/components/schemas/WhatsAppTemplateComponentExampleSchema'
      required:
        - type
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: Bearer token authentication using your API key

````